Resource Center/Network Resource/Hardware SDN Controller Operations
POSTHardware SDN Controller OperationsSince 5.3.0SynchronousAuth Required
SdnControllerAddHost
SdnControllerAddHost
Execution Availability
Try It Out
Submit a mock request using the current auth context and example-driven inputs.
Path Parameters
Request Inputs
Path Parameters
sdnControllerUuidStringRequiredThe SDN controller UUID.
hostUuidStringRequiredThe host UUID.
Body Fields
vSwitchTypeStringOptional. The virtual switch type.
nicNamesListRequiredThe name list of physical server's NICs.
vtepIpStringOptional. The physical server's VTEP IP.
systemTagsListOptional. The system tags.
userTagsListOptional. The user tags.
Responses
Endpoint
POST/zstack/v1/sdn-controllers/{sdnControllerUuid}/hosts/{hostUuid}
/zstack/v1/sdn-controllers/{sdnControllerUuid}/hosts/{hostUuid}
Request Example
curl -X POST 'http://{host}/zstack/v1/sdn-controllers/{sdnControllerUuid}/hosts/{hostUuid}' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"vSwitchType":"<vSwitchType>","nicNames":["<nicNames>"],"vtepIp":"<vtepIp>","systemTags":["<systemTags>"],"userTags":["<userTags>"],"netmask":"<netmask>","bondMode":"<bondMode>","lacpMode":"<lacpMode>"}'
Response Example
200{ "inventory": { "uuid": "2b317c278d253df6bab1acd9b293d957", "vendorType": "H3C VCFC", "name": "sdn-1", "description": "sdn controller from vendor", "ip": "192.168.1.1", "username": "admin", "password": "password" } }Change History
This API has no change history records yet.
